# installer script for Creative Suite 5.5 Premium
# 2016 foo.li systeme + software

$packageName	= 'adobe-creative-suite-55'
$version        = '5.5'
$internal       = '5.5'
$installerType	= 'MSI'
$silentArgs     = '/qn'
$validExitCodes	= @(0,1,3010)
$packageSearch  = 'Adobe Creative Suite 5.5 Production Premium'

#check if file is present on share
if ($env:PROCESSOR_ARCHITECTURE -ne 'AMD64') {
    $strFileName='\\unxfsv001\software\nonfree\a\adobe\CS5.5\CS5.5_x86\Build\CS5.5_x86.msi'
    if (Test-Path $strFileName){
        Write-Host 'File found on internal share'
        $url = $strFileName
    } else {
        Write-Warning 'This is nonfree software and not available free to download.'
        Write-Warning 'This package is only for foo.li internal use'
        throw 'package is only for foo.li internal use.'
    }
} else {
    $strFileName64='\\unxfsv001\software\nonfree\a\adobe\CS5.5\CS5.5_x64\Build\CS5.5_x64.msi'
    if (Test-Path $strFileName64){
        Write-Host 'File found on internal share'
        $url = $strFileName64
    } else {
        Write-Warning 'This is nonfree software and not available free to download.'
        Write-Warning 'This package is only for foo.li internal use'
        throw 'package is only for foo.li internal use.'
    }
}

$app = Get-ItemProperty -Path @('HKLM:\Software\Wow6432Node\Microsoft\Windows\CurrentVersion\Uninstall\*',
                                'HKLM:\Software\Microsoft\Windows\CurrentVersion\Uninstall\*')`
            -ErrorAction:SilentlyContinue | Where-Object { $_.DisplayName -like $packageSearch }
     
#if ($app -and ([version]$app.DisplayVersion -ge [version]$internal)) {
if ($app -and ($app.DisplayVersion -ge $internal)) {
    Write-Output $(
    'Adobe Creative Suite CS5.5' + $app.DisplayVersion + ' is already installed. ' +
    'No need to install again. Otherwise please remove first.'
    )
} else {
    try {
        #Install-ChocolateyPackage "$packageName" "$installerType" "$silentArgs" "$url" "$url64" -validExitCodes $validExitCodes
        #$urlquoted = '"' + $url + '"'
        Write-Host 'starting setup...this may take some time'
        #(Start-Process -FilePath "msiexec" -ArgumentList "/i $urlquoted $silentArgs" -Verb runAs -Wait -Passthru).ExitCode
        (Start-Process -FilePath "msiexec" -ArgumentList "/i $url $silentArgs" -Verb runAs -Wait -Passthru).ExitCode
    } catch {
        throw $_.Exception
    }
}